Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 2.6.0SynchronousAuth Required

CreateDataVolumeTemplateFromVolumeBackup

CreateDataVolumeTemplateFromVolumeBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • backupUuidStringRequired

    The UUID of the volume backup.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • backupStorageUuidStringRequired

      The UUID of the backup storage.

    • nameStringRequired

      The name of the volume image.

    • descriptionString

      Optional. The detailed description of the volume image.

    • guestOsTypeString

      Optional. The type of the guest operating system.

    • platformString

      Optional. The platform type of the guest.

    • systemboolean

      Optional. Specify whether to create a system image.

    • resourceUuidString

      Optional. Specify a UUID for the image.

    • architectureString

      Optional.

    • tagUuidsList

      Optional. The tag UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryImageInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the volume image.

    • nameStringRequired

      The name of the volume image.

    • descriptionStringRequired

      The detailed description of the volume image.

    • stateStringRequired

      镜像的启动状态

    • statusStringRequired

      镜像的就绪状态

    • sizeLongRequired

      镜像大小

    • actualSizeLongRequired

      镜像真实容量

    • md5SumStringRequired

      镜像的md5值

    • urlStringRequired

      镜像的URL地址

    • mediaTypeStringRequired

      镜像的类型

    • guestOsTypeStringRequired

      镜像对应的客户机操作系统类型

    • typeStringRequired

      内部使用字段

    • platformStringRequired

      镜像的系统平台

    • formatStringRequired

      镜像的格式,比如:raw

    • systemBooleanRequired

      标识是否为系统镜像

    • createDateTimestampRequired

      The time when the volume image was created.

    • lastOpDateTimestampRequired

      The time when the volume image was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • imageUuidStringRequired

        The UUID of the volume image.

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        在镜像服务器上的安装路径

      • exportUrlStringRequired

        导出镜像的url

      • exportMd5SumStringRequired

        导出镜像的md5值

      • statusStringRequired

        镜像就绪状态

      • createDateTimestampRequired

        The time when the volume image was created.

      • lastOpDateTimestampRequired

        The time when the volume image was last modified.

Endpoint

POST/zstack/v1/images/data-volume-templates/from/volume-template/{backupUuid}

/zstack/v1/images/data-volume-templates/from/volume-template/{backupUuid}

Operation ID

CreateDataVolumeTemplateFromVolumeBackup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/images/data-volume-templates/from/volume-template/{backupUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"backupStorageUuid":"<backupStorageUuid>","name":"<name>","description":"<description>","guestOsType":"<guestOsType>","platform":"<platform>","system":true,"resourceUuid":"<resourceUuid>","architecture":"<architecture>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "fb4415140ff4329f8b7b42f01f04cfdb", "name": "My Volume Template", "mediaType": "DataVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "fb4415140ff4329f8b7b42f01f04cfdb", "backupStorageUuid": "ccc3d837be813722bfa59e0a259ada0e", "installPath": "zstore://mydata/0cd599ec159249489475112a058bb93a", "status": "Ready" } ] } }

Change History

This API has no change history records yet.

View all change history